      function AABABC(IOCCA1, IOCCB1, IOCCA2, NMOS)
C
C         Notice of Public Domain nature of this Program
C
C      'This computer program is a work of the United States
C       Government and as such is not subject to protection by
C       copyright (17 U.S.C. # 105.)  Any person who fraudulently
C       places a copyright notice or does any other act contrary
C       to the provisions of 17 U.S. Code 506(c) shall be subject
C       to the penalties provided therein.  This notice shall not
C       be altered or removed from this software and is to be on
C       all reproductions.'
C
      implicit double precision (A-H,O-Z)
      include 'SIZES'
      include 'MOP6FILE'
      dimension IOCCA1(NMOS), IOCCB1(NMOS), IOCCA2(NMOS)
***********************************************************************
*
* AABABC EVALUATES THE C.I. MATRIX ELEMENT FOR TWO MICROSTATES DIFFERING
*       BY BETA ELECTRON. THAT IS, ONE MICROSTATE HAS A BETA ELECTRON
*       IN PSI(I) WHICH, IN THE OTHER MICROSTATE IS IN PSI(J)
*
***********************************************************************
      common /XYIJKL/ XY(NMECI,NMECI,NMECI,NMECI)
      common /BASEOC/ OCCA(NMECI)
      do 10 I=1,NMOS
   10 if (IOCCA1(I).NE.IOCCA2(I)) go to 20
   20 IJ=IOCCB1(I)
      do 30 J=I+1,NMOS
         if (IOCCA1(J).NE.IOCCA2(J)) go to 40
   30 IJ=IJ+IOCCA1(J)+IOCCB1(J)
   40 SUM=0.D0
      do 50 K=1,NMOS
   50 SUM=SUM+ (XY(I,J,K,K)-XY(I,K,J,K))*(IOCCA1(K)-OCCA(K)) +
     1          XY(I,J,K,K)             *(IOCCB1(K)-OCCA(K))
      if (MOD(IJ,2).EQ.1) SUM=-SUM
      AABABC=SUM
      return
      end
